import matplotlib.pyplot as plt
import pandas as pd

import yaml
with open("master_config.yaml", "r") as yamlfile:
    config = yaml.load(yamlfile, Loader=yaml.FullLoader)

groese = config['master_config']['bildgroese']

data1 = pd.read_csv('titanicbereinigt.csv')
data2 = pd.read_csv('titanicbereinigt2.csv')



bild = plt.figure(figsize=(groese,groese))
plt.plot(data1['Age'],data1['Fare'],'x',label = 'Überlebt')
plt.plot(data2['Age'],data2['Fare'],'o',label = 'Tod')
plt.legend(prop={'size': config['master_config']['labelsize']})
plt.xlabel('Alter')
plt.ylabel('Preis')
plt.grid()

bild.savefig('BildAufgabe2.png')
